Index: trunk/Poubelle/archediab.old/archeops.h
===================================================================
--- trunk/Poubelle/archediab.old/archeops.h	(revision 651)
+++ trunk/Poubelle/archediab.old/archeops.h	(revision 652)
@@ -7,5 +7,5 @@
 
 #define		_archeops
-#define		version_num		28
+#define		version_num		29
 
 /*  defini ici que si l'on n'a pas inclu ecclib.h qui contient les memes definitions */
@@ -53,6 +53,15 @@
 /*	- corrigée la taille du block gyroscope avec ecc		*/
 /*	- compatible avec la generation de l'ecc dans le transputer     */
-/*	- mais sans ecc: trops long a calculer			        */
-
+/*	- mais sans ecc: trops long a calculer	
+/*								        */
+/*		VOL  Trapani  AVEC  VERSION  28			        */
+/*								        */
+/*  VERSION 29:                                                         */
+/*	- toujours  define  _archeops					*/
+/*	- blocks longueur variable si l'on change archeops.c		*/
+/*	- pour fonctionnement sans transputer  (CTB)			*/
+/*		faire preceder archeops.h  de  acquisition.h		*/
+/*		qui contiendra un #define _sans_transputer		*/
+/*								        */
 /*======================================================================*/
 
@@ -75,9 +84,4 @@
 
 
-#ifdef	_planck
-#define	_archeops
-#define _trapani
-#define _sans_transputer
-#endif
 
 #ifdef	_archeops
@@ -109,38 +113,22 @@
 /*	nb_per_block	doit etre divisible par 2						*/
 /*	nb_max_bolo	doit etre divisible par 2 pour archeops   (impair pour diabolo ?? )	*/
-/*	nb_bolo_util	doit etre divisible par 2 pour archeops   (impair pour diabolo ?? )	*/
-
-
-#ifdef	_trapani
-#define nb_max_bolo 		24	/*  nombre maxi de bolos 				*/
-#define nb_bolo_util 		18	/*  nombre de bolos réellement transmis			*/
+/*	parametr.nb_bolo	doit etre divisible par 2 pour archeops   (impair pour diabolo ?? )	*/
+
+
+#ifndef	_diabolo
+
+#define nb_max_bolo 		36	/*  nombre maxi de bolos 				*/
+/*#define nb_bolo_util 		32	  nombre de bolos réellement transmis			*/
 #define	nb_per_block		36	/*  nombre de periodes entieres dans un block		*/
 #define	nb_max_mes_per		88	/*  nb de points maxi dans une periode complete		*/
 #define	nb_photo_diodes		46	/*  nb de canaux de mesure du senseur stellaire		*/
-#endif
-
-#ifdef	_kiruna
-#define nb_max_bolo 		36	/*  nombre maxi de bolos 				*/
-#define nb_bolo_util 		32	/*  nombre de bolos réellement transmis			*/
-#define	nb_per_block		36	/*  nombre de periodes entieres dans un block		*/
-#define	nb_max_mes_per		88	/*  nb de points maxi dans une periode complete		*/
-#define	nb_photo_diodes		46	/*  nb de canaux de mesure du senseur stellaire		*/
-#endif
-
-
-#ifdef	_diabolo
+
+#else
+
 #define nb_max_bolo 		9	/*  nombre maxi de bolos 				*/
-#define nb_bolo_util 		9	/*  nombre de bolos réellement transmis			*/
 #define	nb_per_block		20	/*  nombre de periodes entieres dans un block		*/
 #define	nb_max_mes_per		128	/*  nb de points maxi dans une periode complete		*/
 #define	nb_photo_diodes		0	/*  nb de canaux de mesure du senseur stellaire		*/
-#endif
-
-#ifdef	_test_diabolo
-#define nb_max_bolo 		9	/*  nombre maxi de bolos 				*/
-#define nb_bolo_util 		9	/*  nombre de bolos réellement transmis			*/
-#define	nb_per_block		20	/*  nombre de periodes entieres dans un block		*/
-#define	nb_max_mes_per		128	/*  nb de points maxi dans une periode complete		*/
-#define	nb_photo_diodes		0	/*  nb de canaux de mesure du senseur stellaire		*/
+
 #endif
 
@@ -152,10 +140,13 @@
 #endif
 
-#define	nb_max_nom_bolo		24	/*  nombre maxi de noms et coef bolo dans la table	*/
+
+#define	nb_max_nom_bolo		40	/*  nombre maxi de noms et coef bolo dans la table	*/
 
 #define nb_sync			4	/*  nombre de signaux de synchro			*/
 					/*  6 pour diabolo 					*/
 					/* toujours multiple de 4 pour archeops			*/
+
 #define	nb_element_catalog	256	/* nombre d'éléments catalog par reponse enregistreur	*/
+
 
 
@@ -166,8 +157,11 @@
 #endif
 
-#define		nombre_de_regul		4
-#define		nombre_de_voies		6
+
+
+#define		nombre_de_regul		4	/*  nombre de blocks regulation     */
+#define		nombre_de_voies		6	/*  nombre de voies pour selectionner un groupe de bolos */
 #define 	nb_type_blocks		20	/*  nombre de type de blocks (multiple de 4)	*/
-#define		nb_modes_telemesure	10
+
+#define		nb_modes_telemesure	10	/*  cadence d'emission des blocks		*/
 #define		nb_modes_flash		 3
 
@@ -196,5 +190,5 @@
 #define		tc_cadence3			130
 #define		tc_regul			251	/* (-5)	*/
-#define		tc_switch_dil			250
+#define		tc_switch_dil		250
 #define		tc_dac_dil			249
 
@@ -712,4 +706,6 @@
 
 /*  ---------------------   structures N° 12 :  data bolo apres compression sur 7 bit	 ------	*/
+/*  --   longueur variable car nb_max_bolo est remplacé par  parametr.nb_bolo apres calcul   ------ */
+/*  --     ATTENTION   l'ECC  calcule  est donc faux  !!!!!!				 ------ */
 /*  -------------------------------------------------------------------------------------------	*/
 typedef struct				  
@@ -720,7 +716,7 @@
 					/*  	nombre de mots = nb valeurs/4 +1		*/
 					/*	pour chaque bolo, un vecteur  19 mots		*/
-	unsigned int4	data_bolo[nb_bolo_util][ (nb_per_block/2) +1 ];
-#ifdef _ECC_LIB_H_
-	unsigned char ecc[((((sizeof(int4)*nb_bolo_util*((nb_per_block/2) +1)+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+	unsigned int4	data_bolo[nb_max_bolo][ (nb_per_block/2) +1 ];
+#ifdef _ECC_LIB_H_
+	unsigned char ecc[((((sizeof(int4)*nb_max_bolo*((nb_per_block/2) +1)+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
 #endif
 