Index: trunk/SophyaLib/Mgr/Makefile
===================================================================
--- trunk/SophyaLib/Mgr/Makefile	(revision 631)
+++ trunk/SophyaLib/Mgr/Makefile	(revision 663)
@@ -1,5 +1,5 @@
 include Mgr/Makefile.h
-LIBF =  $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libFitsIOServer.a
-LIBS = -L$(LIB) -lSysTools -lNTools -lSamba -lFitsIOServer -lm
+LIBF =  $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libSkyT.a $(LIB)libFitsIOServer.a
+LIBS = -L$(LIB) -lSysTools -lNTools -lSamba -lSkyT -lFitsIOServer -lm
 LIBG = -L$(GLB) -lstdc++
 ifeq ($(HOSTTYPE), powerpc)
@@ -16,25 +16,29 @@
 # pour instantiation automatique/manuels
 
-cxxlibs: Blitz SysTools NTools Samba FitsIOServer
-
+cxxlibs: FitsIOServer SkyT Samba NTools SysTools Blitz
+
+.PHONY:  FitsIOServer
+FitsIOServer:
+	if [ -d FitsIOServer ] ; then cd  FitsIOServer ; $(MAKE) ; fi
+ 
+.PHONY:  SkyT
+SkyT:
+	if [ -d SkyT ] ; then cd  SkyT ; $(MAKE) ; fi
+ 
+.PHONY:  Samba
+Samba:
+	if [ -d Samba ] ; then cd  Samba ; $(MAKE) ; fi
+ 
+.PHONY:  NTools
+NTools:
+	if [ -d NTools ] ; then cd  NTools ; $(MAKE) ; fi
+ 
+.PHONY:  SysTools
+SysTools:
+	if [ -d SysTools ] ; then cd  SysTools ; $(MAKE) ; fi
+ 
 .PHONY:  Blitz
 Blitz:
 	if [ -d Blitz ] ; then cd  Blitz ; $(MAKE) ; fi
- 
-.PHONY:  SysTools
-SysTools:
-	if [ -d SysTools ] ; then cd  SysTools ; $(MAKE) ; fi
- 
-.PHONY:  NTools
-NTools:
-	if [ -d NTools ] ; then cd  NTools ; $(MAKE) ; fi
- 
-.PHONY:  Samba
-Samba:
-	if [ -d Samba ] ; then cd  Samba ; $(MAKE) ; fi
- 
-.PHONY:  FitsIOServer
-FitsIOServer:
-	if [ -d FitsIOServer ] ; then cd  FitsIOServer ; $(MAKE) ; fi
  
 .PHONY: PI
@@ -45,5 +49,9 @@
 ifndef NOSHLIB
 
-PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libBlitz.a 
+ifdef CFITSIODIR
+PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libSkyT.a $(LIB)libFitsIOServer.a 
+else
+PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libSkyT.a
+endif
 slb : $(SLB)libtools.so
 slbpi: slb $(SLB)libPI.so
@@ -106,6 +114,6 @@
     override USECXX4SO := N
   endif
-#  Attention - Dangereux de mettre -expect_unresolved , $CHECK$  Reza 20/10/99
-  override CMDSHLCXX := $(LINK.cc) -shared -expect_unresolved '*' 
+#  Attention - Dangereux de mettre -expect_unresolved , enleve  Reza 17/11/99
+  override CMDSHLCXX := $(LINK.cc) -shared  
   override FGSHLACXX := 
   override FGSHLNCXX := 
@@ -158,11 +166,18 @@
 
 # Liste des .o associes a une librairie
-OBJSysTools = $(shell echo `cat ./SysTools/SysTools.o.list`)
-OBJNTools = $(shell echo `cat ./NTools/NTools.o.list`)
-OBJBlitz = $(shell echo `cat ./Blitz/Blitz.o.list`)
-OBJSamba = $(shell echo `cat ./Samba/Samba.o.list`)
-OBJFitsIOServer = $(shell echo `cat ./FitsIOServer/FitsIOServer.o.list`)
-OBJPI         = $(shell echo `cat ./PI/PI.o.list`)
-OBJPIext      = $(shell echo `cat ./PIext/PIext.o.list`)
+OBJSysTools = $(shell echo `cat ./SysTools/objlist.list`)
+OBJNTools = $(shell echo `cat ./NTools/objlist.list`)
+# OBJBlitz = $(shell echo `cat ./Blitz/objlist.list`)
+OBJSamba = $(shell echo `cat ./Samba/objlist.list`)
+OBJSkyT = $(shell echo `cat ./SkyT/objlist.list`)
+OBJFitsIOServer = $(shell echo `cat ./FitsIOServer/objlist.list`)
+OBJPI         = $(shell echo `cat ./PI/objlist.list`)
+OBJPIext      = $(shell echo `cat ./PIext/objlist.list`)
+
+ifdef CFITSIODIR
+AllObjs := $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJSkyT) $(OBJFitsIOServer)
+else
+AllObjs := $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJSkyT) 
+endif
 
 # Creation des librairies partagees
@@ -174,6 +189,6 @@
 	cd $(OBJ); \
 	$(CMDSHLCXX) -o $(SLB)libtools.so \
-	$(FGSHLACXX) $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJFitsIOServer) $(OBJBlitz) $(TILSHL) \
-	$(FGSHLNCXX) -L$(SLB) $(LIBLSHL)   $(FITSIOLIB) 
+	$(FGSHLACXX) $(AllObjs)  $(TILSHL) \
+	$(FGSHLNCXX) -L$(SLB) $(LIBLSHL)  $(FITSIOLIB) 
 
 
Index: trunk/SophyaLib/Mgr/Makefile.slb
===================================================================
--- trunk/SophyaLib/Mgr/Makefile.slb	(revision 631)
+++ trunk/SophyaLib/Mgr/Makefile.slb	(revision 663)
@@ -2,5 +2,9 @@
 ifndef NOSHLIB
 
-PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libBlitz.a 
+ifdef CFITSIODIR
+PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libSkyT.a $(LIB)libFitsIOServer.a 
+else
+PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libSkyT.a
+endif
 slb : $(SLB)libtools.so
 slbpi: slb $(SLB)libPI.so
@@ -117,9 +121,16 @@
 OBJSysTools = $(shell echo `cat ./SysTools/SysTools.o.list`)
 OBJNTools = $(shell echo `cat ./NTools/NTools.o.list`)
-OBJBlitz = $(shell echo `cat ./Blitz/Blitz.o.list`)
+# OBJBlitz = $(shell echo `cat ./Blitz/Blitz.o.list`)
 OBJSamba = $(shell echo `cat ./Samba/Samba.o.list`)
+OBJSkyT = $(shell echo `cat ./SkyT/SkyT.o.list`)
 OBJFitsIOServer = $(shell echo `cat ./FitsIOServer/FitsIOServer.o.list`)
 OBJPI         = $(shell echo `cat ./PI/PI.o.list`)
 OBJPIext      = $(shell echo `cat ./PIext/PIext.o.list`)
+
+ifdef CFITSIODIR
+AllObjs := $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJSkyT) $(OBJFitsIOServer)
+else
+AllObjs := $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJSkyT) 
+endif
 
 # Creation des librairies partagees
@@ -131,6 +142,6 @@
 	cd $(OBJ); \
 	$(CMDSHLCXX) -o $(SLB)libtools.so \
-	$(FGSHLACXX) $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJFitsIOServer) $(OBJBlitz) $(TILSHL) \
-	$(FGSHLNCXX) -L$(SLB) $(LIBLSHL)   $(FITSIOLIB) 
+	$(FGSHLACXX) $(AllObjs)  $(TILSHL) \
+	$(FGSHLNCXX) -L$(SLB) $(LIBLSHL)  $(FITSIOLIB) 
 
 
Index: trunk/SophyaLib/Mgr/crerep_peida
===================================================================
--- trunk/SophyaLib/Mgr/crerep_peida	(revision 631)
+++ trunk/SophyaLib/Mgr/crerep_peida	(revision 663)
@@ -36,5 +36,5 @@
 
 foreach d ( ${dirl}/${diru} \
-            ${dirl}/Include ${dirl}/Include/tnt \
+            ${dirl}/Include \
             ${dirl}/${diru}/Exec \
             ${dirl}/${diru}/Libs ${dirl}/${diru}/ShLibs \
Index: trunk/SophyaLib/Mgr/install_peida
===================================================================
--- trunk/SophyaLib/Mgr/install_peida	(revision 631)
+++ trunk/SophyaLib/Mgr/install_peida	(revision 663)
@@ -1,4 +1,4 @@
 #!/bin/csh
-#  Script d'installation PEIDA 
+#  Script d'installation SOPHYA 
 #  Version preliminaire - Reza 27/11/97 +cmv
 
@@ -64,5 +64,5 @@
   set SRC = $srcdir/$macomp
   set DST = $dstdir/$macomp
-  echo "************** PEIDA_Install script : ****************** "
+  echo "************** SOPHYA_Install script : ****************** "
   echo "copie de $srcdir"
   echo "      vers $dstdir pour $macomp"
@@ -77,6 +77,6 @@
 # d'abord les includes
 #foreach d ( Include Include/tnt Include/CInc Include/SystCxx Include/Syst )
-foreach d ( Include Include/tnt Include/CInc Include/Syst )
-  echo "PEIDA_Install: Installing $d ... "
+foreach d ( Include  )
+  echo "SOPHYA_Install: Installing $d ... "
   if( ! -e $srcdir/$d ) then
     echo "rep. inexistant: $SRC/$d"
@@ -92,5 +92,5 @@
 # puis le reste
 foreach d ( Libs ShLibs Exec )
-  echo "PEIDA_Install: Installing $d ... "
+  echo "SOPHYA_Install: Installing $d ... "
   if( ! -e $SRC/$d ) then
     echo "rep. inexistant: $SRC/$d"
@@ -99,5 +99,5 @@
   else
     if( "$d" == "Exec" ) then
-      foreach f ( tobjio tspm tspm2 piapp )
+      foreach f ( tobjio tspm tspm2 piapp tgsky tgrsr skymixer )
         if( -e $SRC/$d/$f ) then
           $DO cp $SRC/$d/$f $DST/$d/.
@@ -113,5 +113,5 @@
 end
 
-echo 'PEIDA_Install complete'
+echo 'SOPHYA_Install complete'
 
 exit 0
Index: trunk/SophyaLib/Mgr/libdirs
===================================================================
--- trunk/SophyaLib/Mgr/libdirs	(revision 631)
+++ trunk/SophyaLib/Mgr/libdirs	(revision 663)
@@ -2,3 +2,4 @@
 NTools
 Samba
+SkyT
 FitsIOServer
Index: trunk/SophyaLib/Mgr/mkmf
===================================================================
--- trunk/SophyaLib/Mgr/mkmf	(revision 631)
+++ trunk/SophyaLib/Mgr/mkmf	(revision 663)
@@ -1,4 +1,4 @@
 #!/bin/csh 
-# $Id: mkmf,v 1.5 1999-11-09 11:13:13 ansari Exp $
+# $Id: mkmf,v 1.6 1999-11-29 12:48:11 ansari Exp $
 
 # Librairie cfitsio
@@ -38,5 +38,5 @@
 # pour instantiation automatique/manuels
 
-cxxlibs: Blitz SysTools NTools Samba FitsIOServer
+cxxlibs: FitsIOServer SkyT Samba NTools SysTools Blitz
 
 EOF
@@ -44,5 +44,5 @@
 
 #  Attention, ne pas changer l'ordre de libnames dependances cxx
-set libnames = (Blitz SysTools NTools Samba FitsIOServer)
+set libnames = (FitsIOServer SkyT Samba NTools SysTools Blitz )
 set i = 1
 set j = $#libnames ; @ j--
@@ -71,5 +71,5 @@
 endif
 if ( -d ../PIext ) then 
-  set cmd = './mkmfPI PIext SysTools NTools PI'
+  set cmd = './mkmfPI PIext SysTools NTools Samba SkyT PI'
   echo "mkmf: Creation makefile lib PIext"
   echo "   execution $cmd"