Index: trunk/SophyaExt/FitsIOServer/fitsioserver.cc
===================================================================
--- trunk/SophyaExt/FitsIOServer/fitsioserver.cc	(revision 672)
+++ trunk/SophyaExt/FitsIOServer/fitsioserver.cc	(revision 673)
@@ -169,5 +169,6 @@
    ttype= new char*[tfields];
    tform= new char*[tfields];
-   for( int ii = 0; ii < tfields; ii++)
+   int ii;
+   for(ii = 0; ii < tfields; ii++)
      {
        ttype[ii]= new char[FLEN_VALUE];
@@ -192,5 +193,5 @@
    long repeat,width;
    list<int> column;
-   for( int ii = 0; ii < tfields; ii++)
+   for(ii = 0; ii < tfields; ii++)
      {
        fits_binary_tform(tform[ii],&typecode, &repeat, &width, &status);
@@ -203,5 +204,5 @@
    char **clname;
    clname= new char*[column.size()];
-   for(int ii = 0; ii < column.size(); ii++)
+   for(ii = 0; ii < column.size(); ii++)
      clname[ii]= new char[FLEN_VALUE];
 
@@ -211,5 +212,5 @@
      strcpy(clname[index++],ttype[*itr-1]);
 
-   for( int ii = 0; ii < tfields; ii++)
+   for(ii = 0; ii < tfields; ii++)
      {
        delete [] ttype[ii];
@@ -230,5 +231,5 @@
    NTuple nt0(column.size(),clname,blk);
 
-   for(int ii = 0; ii < column.size(); ii++)
+   for(ii = 0; ii < column.size(); ii++)
      delete [] clname[ii];
    delete [] clname;
@@ -239,5 +240,4 @@
    strcpy(strnull, " ");
    int anynull= 0;
-   long longnull  = 0;
 
    // value to represent undefined array elements
@@ -264,5 +264,5 @@
    char keyname[LEN_KEYWORD]= "";
    char strval[FLEN_VALUE];
-   for(int ii = 0; ii < tfields; ii++)
+   for(ii = 0; ii < tfields; ii++)
      {
        fits_make_keyn("TUNIT",ii+1,keyname,&status);
@@ -722,5 +722,6 @@
   ttype= new char*[tfields];
   tform= new char*[tfields];
-  for(int i = 0; i < tfields; i++)
+  int i;
+  for(i = 0; i < tfields; i++)
     {
       ttype[i]= new char[FLEN_VALUE];
@@ -752,5 +753,5 @@
   int firstelem = 1;
 
-  for(int i = 0; i < tfields; i++)
+  for(i = 0; i < tfields; i++)
     {
       float *dens= new float[nrows];
@@ -979,5 +980,4 @@
   int siz_x = DpcImg.XSize();
   int siz_y = DpcImg.YSize();
-  int nbpixels = siz_x*siz_y;
   FITS_tab_typ_ = TFLOAT;
 
@@ -1028,5 +1028,4 @@
   int siz_x = DpcImg.XSize();
   int siz_y = DpcImg.YSize();
-  int nbpixels = siz_x*siz_y;
   FITS_tab_typ_ = TINT;
 
@@ -1722,11 +1721,13 @@
    cout << " image FITS en projection SINUS" << endl;
   // table will have npixels rows
-  for(int j=0; j < npixels; j++) map[j]=0.;
-    for(int j=0; j<naxes[1]; j++) 
+  int i,j;
+  for(j=0; j < npixels; j++) map[j]=0.;
+
+  for(j=0; j<naxes[1]; j++) 
       {
 	double yd = (j+0.5)/naxes[1]-0.5;
 	double theta = (0.5-yd)*Pi;
 	double facteur=1./sin(theta);
-	for(int i=0; i<naxes[0]; i++)  
+	for(i=0; i<naxes[0]; i++)  
 	  {
 	    double xa = (i+0.5)/naxes[0]-0.5;
@@ -1760,11 +1761,12 @@
    cout << " image FITS en projection SINUS" << endl;
   // table will have npixels rows
-  for(int j=0; j < npixels; j++) map[j]=0.;
-    for(int j=0; j<naxes[1]; j++) 
+  int i,j;
+  for(j=0; j < npixels; j++) map[j]=0.;
+  for(j=0; j<naxes[1]; j++) 
       {
 	double yd = (j+0.5)/naxes[1]-0.5;
 	double theta = (0.5-yd)*Pi;
 	double facteur=1./sin(theta);
-	for(int i=0; i<naxes[0]; i++)  
+	for(i=0; i<naxes[0]; i++)  
 	  {
 	    double xa = (i+0.5)/naxes[0]-0.5;
@@ -1787,4 +1789,43 @@
 // a FITS-file
 void FitsIoServer::Mollweide_picture_projection(SphericalMap<float>& sph, char filename[])
+{
+  // le code de cete methode duplique celui de la precedente, la seule 
+  //difference etant le type de sphere en entree. Ces methodes de projection
+  // sont provisoires, et ne servent que pour les tests. C est pourquoi je 
+  // ne me suis pas casse la tete, pour l instant
+    
+  long naxes[2]={600, 300};
+  float* map = new float[ 600*300 ];
+  int npixels=  naxes[0]*naxes[1];
+
+   cout << " image FITS en projection MOLLWEIDE" << endl;
+  // table will have npixels rows
+   int i,j;
+   for(j=0; j < npixels; j++) map[j]=0.;
+   for(j=0; j<naxes[1]; j++) 
+     {
+       double yd = (j+0.5)/naxes[1]-0.5;
+       double facteur=2.*Pi/sin(acos(yd*2));
+       double theta = (0.5-yd)*Pi;
+       for(i=0; i<naxes[0]; i++)  
+	 {
+	   double xa = (i+0.5)/naxes[0]-0.5;
+	   double phi =  xa*facteur+Pi;
+	   float th=float(theta);
+	   float ff=float(phi);
+	   if (phi<2*Pi && phi>= 0) 
+	     {
+	       map[j*naxes[0]+i] = sph.PixValSph(th, ff);
+	     }
+	 }
+     }
+   
+   write_picture(naxes, map,  filename);
+   delete [] map;
+   
+}
+// projects a SphericalMap<double>, according Mollweide-method, and saves onto 
+// a FITS-file
+void FitsIoServer::Mollweide_picture_projection(SphericalMap<double>& sph, char filename[])
 {
   // le code de cete methode duplique celui de la precedente, la seule 
@@ -1822,42 +1863,4 @@
    
 }
-// projects a SphericalMap<double>, according Mollweide-method, and saves onto 
-// a FITS-file
-void FitsIoServer::Mollweide_picture_projection(SphericalMap<double>& sph, char filename[])
-{
-  // le code de cete methode duplique celui de la precedente, la seule 
-  //difference etant le type de sphere en entree. Ces methodes de projection
-  // sont provisoires, et ne servent que pour les tests. C est pourquoi je 
-  // ne me suis pas casse la tete, pour l instant
-    
-  long naxes[2]={600, 300};
-  float* map = new float[ 600*300 ];
-  int npixels=  naxes[0]*naxes[1];
-
-   cout << " image FITS en projection MOLLWEIDE" << endl;
-  // table will have npixels rows
-   for(int j=0; j < npixels; j++) map[j]=0.;
-   for(int j=0; j<naxes[1]; j++) 
-     {
-       double yd = (j+0.5)/naxes[1]-0.5;
-       double facteur=2.*Pi/sin(acos(yd*2));
-       double theta = (0.5-yd)*Pi;
-       for(int i=0; i<naxes[0]; i++)  
-	 {
-	   double xa = (i+0.5)/naxes[0]-0.5;
-	   double phi =  xa*facteur+Pi;
-	   float th=float(theta);
-	   float ff=float(phi);
-	   if (phi<2*Pi && phi>= 0) 
-	     {
-	       map[j*naxes[0]+i] = sph.PixValSph(th, ff);
-	     }
-	 }
-     }
-   
-   write_picture(naxes, map,  filename);
-   delete [] map;
-   
-}
 
 
@@ -1875,8 +1878,9 @@
 
   // table will have npixels rows
-  for(int j=0; j < npixels; j++) map[j]=0.;
-    for(int j=0; j<naxes[1]; j++) 
+  int i,j;
+  for(j=0; j < npixels; j++) map[j]=0.;
+    for(j=0; j<naxes[1]; j++) 
       {
-	for(int i=0; i<naxes[0]; i++)  
+	for(i=0; i<naxes[0]; i++)  
 	  {
 		map[j*naxes[0]+i] = lcm(i, j);
@@ -1917,8 +1921,8 @@
 
   // first row in table to write 
-  long firstrow  = 1;
+  //  long firstrow  = 1;  Not referenced 
   // first element in row   
   long firstelem = 1;  
-  int colnum = 1;
+  //  int colnum = 1;     Not referenced 
   int nelements=naxes[0]*naxes[1];
   fits_write_img(fptr, TFLOAT, firstelem, nelements, map, &status);