Index: /trunk/SophyaPI/PIext/pintuple.cc
===================================================================
--- /trunk/SophyaPI/PIext/pintuple.cc	(revision 685)
+++ /trunk/SophyaPI/PIext/pintuple.cc	(revision 686)
@@ -175,9 +175,9 @@
   xp = mNT->GetCell(i, xK);
   yp = mNT->GetCell(i, yK);
+  if ( (xp < xmin2) || (xp > xmax2) || (yp < ymin2) || (yp > ymax2) )  continue;
+  nok++;
   if ( (xp < xmin) || (xp > xmax) || (yp < ymin) || (yp > ymax) )  continue;
-  if ( (xp < xmin2) || (xp > xmax2) || (yp < ymin2) || (yp > ymax2) )  continue;
   if ( (i > 0) && (mLAtt != PI_NotDefLineAtt) )   // On relie les points ...
     g->DrawLine(xl, yl, xp, yp);
-  nok++;
   if ( xebK >= 0 ) {
     xer = mNT->GetCell(i, xebK);
Index: /trunk/SophyaPI/PIext/pistdimgapp.cc
===================================================================
--- /trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 685)
+++ /trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 686)
@@ -34,4 +34,9 @@
 static char WorkDir[256];
 
+// Pour la creation de fenetre info (about piapp)
+static void createInfoWindow(PIStdImgApp* app);
+static void deleteInfoWindow();
+static void showInfoWindow(PIStdImgApp* app);
+static void hideInfoWindow(PIStdImgApp* app);
 
 /* ........................................................... */
@@ -46,10 +51,9 @@
 // Les menus
 m[0] = new PIMenu(Menubar(),"Fichier");
-m[0]->AppendItem("Help", 10100);
+m[0]->AppendItem("About piapp", 10150);
 m[0]->AppendItem("Open-Fits", 10120);
 m[0]->AppendItem("Open-PPF", 10130);
-m[0]->AppendItem("Close", 10110);
-m[0]->AppendItem("delete", 10111);
 // m[0]->AppendItem("Options", 10101);
+m[0]->AppendItem("Help", 10100);
 m[0]->AppendItem("Exit", 10105);
 
@@ -58,4 +62,5 @@
 m[1]->AppendItem("OpenOutPPF", 10220);
 m[1]->AppendItem("CloseOutPPF", 10230);
+m[1]->AppendItem("Delete CurWdg", 10270);
 
 m[2] = new PIMenu(Menubar(),"Tools");
@@ -86,4 +91,5 @@
 m[3]->AppendItem("Window 3x3", 10433);
 m[3]->AppendItem("Cur->LastWdg", 10441);
+m[3]->AppendItem("Close CurWin", 10460);
 
 m[4] = new PIMenu(Menubar(),"PostScript");
@@ -159,4 +165,7 @@
 mObjmgrw = new ObjMgrWind(this);
 mPpinmgrw = new PPInMgrWind(this);
+
+//  creation de la fenetre info (about piapp)
+createInfoWindow(this);
 
 // Attention : A faire apres creation de ObjMgrWind !!! 
@@ -257,4 +266,6 @@
 delete mObjmgrw;
 delete mPpinmgrw;
+
+deleteInfoWindow();
 
 // Les fichiers 
@@ -910,4 +921,12 @@
   switch(msg)
     {
+    case 10150 :
+      showInfoWindow(this);
+      break;
+
+    case 10155 :
+      hideInfoWindow(this);
+      break;
+
     case 10100 :
       mCmd->ShowHelpWindow();
@@ -949,17 +968,5 @@
       SetReady();
       break;
-
-    case 10110 :
-      DeleteWindow(mCurWin);
-      break;
         
-    case 10111 :
-      if (mCurWdg) {
-        int oid = mCurWdg->UserFlag();
-        DeleteBaseWidget(mCurWdg);
-        mObjMgr->DelObj_Id(oid);
-        }
-      break;
-
     case 10105:
       Stop();
@@ -1013,4 +1020,11 @@
     break;
 
+  case 10270 :
+    if (mCurWdg) {
+      int oid = mCurWdg->UserFlag();
+      DeleteBaseWidget(mCurWdg);
+      mObjMgr->DelObj_Id(oid);
+      }
+    break;
 
   default:
@@ -1145,4 +1159,7 @@
     else  cout << " No current widget - select widget with mouse " << endl;
     break;
+    case 10460 :
+      DeleteWindow(mCurWin);
+      break;
   default:
     cerr << "PIStdImgApp::MBProcess4() BUG?? Msg= " <<  msg << endl;    
@@ -1414,2 +1431,73 @@
   maYlog = mSaYlog;
 }
+
+//  -------------------------------------------------
+//        Fenetre info piapp (About piapp) 
+//  -------------------------------------------------
+static PIWindow* infow_win = NULL;
+static PIText* infow_txt = NULL;
+static PICMapView* infow_cmap = NULL;
+static PIButton* infow_but = NULL;
+
+/* Nouvelle-Fonction */
+static void createInfoWindow(PIStdImgApp* app)
+{
+if (infow_win) return;
+
+int bsx, bsy;
+PIApplicationPrefCompSize(bsx, bsy);
+int spx, spy;
+spx = bsx/6;   spy = bsy/6;
+
+infow_win = new PIWindow((PIMsgHandler *)app, "About piapp", 
+                         PIWK_dialog, bsx*5+3*spx, bsy*4+spy*3, 200, 200);
+infow_win->SetAutoDelChilds(true);
+infow_txt = new PIText(infow_win,"about_piapp_text", bsx*5+spx, bsy*3, spx, spy);
+infow_txt->SetMutiLineMode(true);
+infow_txt->SetTextEditable(false);
+infow_txt->SetBinding(PIBK_elastic,PIBK_elastic, PIBK_elastic,PIBK_elastic);
+infow_cmap = new PICMapView(infow_win, "about_piapp_cmap", bsx*4, bsy*0.7, spx, 2*spy+bsy*3.15); 
+infow_cmap->SetColMapId(CMAP_COLBR32, 1., -1., false); 
+infow_cmap->SetBinding(PIBK_elastic,PIBK_elastic, PIBK_elastic,PIBK_elastic);
+infow_but = new PIButton(infow_win,"OK", 10155, bsx, bsy, bsx*4+2*spx, 2*spy+bsy*3);
+infow_but->SetMsgParent((PIMsgHandler *)app);
+infow_but->SetBinding(PIBK_elastic,PIBK_elastic, PIBK_elastic,PIBK_elastic);
+char buff[128];
+#ifdef SANS_EVOLPLANCK
+sprintf(buff, "Version: piapp=%g  PI=%g  PEIDA=%g \n", (double)PIAPP_VERSIONNUMBER, 
+              (double)PI_VERSIONNUMBER, (float)PeidaVersion());
+#else
+sprintf(buff, "Version: piapp=%g  PI=%g  SOPHYA=%g \n", (double)PIAPP_VERSIONNUMBER, 
+              (double)PI_VERSIONNUMBER, piai->Version());
+#endif
+string info = "piapp : Interactive analysis program\n";
+info += buff;
+info += "(C) LAL-IN2P3/CNRS  1996-1999\n";
+info += "(C) SPP-DAPNIA/CEA  1996-1999\n";
+infow_txt->SetText(info);
+}
+
+/* Nouvelle-Fonction */
+static void showInfoWindow(PIStdImgApp* app)
+{
+if (!infow_win) return;
+infow_win->Show();
+}
+/* Nouvelle-Fonction */
+static void hideInfoWindow(PIStdImgApp* app)
+{
+if (!infow_win) return;
+infow_win->Hide();
+}
+
+/* Nouvelle-Fonction */
+static void deleteInfoWindow()
+{
+if (!infow_win) return;
+delete infow_win;
+infow_win = NULL;
+infow_txt = NULL;
+infow_cmap = NULL;
+infow_but = NULL;
+}
+
Index: /trunk/SophyaPI/PIext/pistlist.cc
===================================================================
--- /trunk/SophyaPI/PIext/pistlist.cc	(revision 685)
+++ /trunk/SophyaPI/PIext/pistlist.cc	(revision 686)
@@ -124,7 +124,7 @@
   if ( (flx < mFmin) || (flx > mFmax) )  continue;
   xp = sti->PosX();   yp = sti->PosY();
-  if ( (xp < xmin) || (xp > xmax) || (yp < ymin) || (yp > ymax) )  continue;
   if ( (xp < xmin2) || (xp > xmax2) || (yp < ymin2) || (yp > ymax2) )  continue;
   nok++;
+  if ( (xp < xmin) || (xp > xmax) || (yp < ymin) || (yp > ymax) )  continue;
   sz = (int)((log10((double)flx/mF0))/mDLgF*(double)nl2-0.01) + msz;
   if (sz < 2)  g->SelMarker(sz, PI_DotMarker);